aboutsummaryrefslogtreecommitdiff
path: root/scripts/cleanall.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2023-07-16 02:03:33 +0200
committerToni Uhlig <matzeton@googlemail.com>2023-07-16 02:03:33 +0200
commit5a40295c4cf0af5ea8da9ced04a4ce7d3621a080 (patch)
treecb21506e7b04d10b45d6066a0ee1655563d5d52b /scripts/cleanall.sh
Squashed 'flatcc/' content from commit 473da2a
git-subtree-dir: flatcc git-subtree-split: 473da2afa5ca435363f8c5e6569167aee6bc31c5
Diffstat (limited to 'scripts/cleanall.sh')
-rwxr-xr-xscripts/cleanall.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/cleanall.sh b/scripts/cleanall.sh
new file mode 100755
index 0000000..a91d58c
--- /dev/null
+++ b/scripts/cleanall.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+echo "removing build products"
+
+cd `dirname $0`/..
+
+rm -rf build
+rm -rf release
+rm -f bin/flatcc*
+rm -f bin/bfbs2json*
+rm -f lib/libflatcc*
+if [ -d bin ]; then
+ rmdir bin
+fi
+if [ -d lib ]; then
+ rmdir lib
+fi
+